Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 288287 - net-misc/openssh-5.2_p1-r3 fails interop-tests
Summary: net-misc/openssh-5.2_p1-r3 fails interop-tests
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Core system (show other bugs)
Hardware: AMD64 Linux
: High normal with 1 vote (vote)
Assignee: Gentoo's Team for Core System packages
URL:
Whiteboard:
Keywords: TESTFAILURE
Depends on:
Blocks: 316347
  Show dependency tree
 
Reported: 2009-10-09 11:23 UTC by Bjoern Thorwirth
Modified: 2015-03-22 05:31 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Build log (net-misc:openssh-5.2_p1-r3:20091009-110336.log,28.16 KB, text/plain)
2009-10-09 11:24 UTC, Bjoern Thorwirth
Details
build log without mentioned patches (net-misc:openssh-5.2_p1-r4:20091012-111533.log,27.94 KB, text/plain)
2009-10-12 11:19 UTC, Bjoern Thorwirth
Details
test log of 5.2p1 (tests_5_2p1.out,15.38 KB, text/plain)
2009-10-14 14:31 UTC, Bjoern Thorwirth
Details
test log 5.3p1 (tests_5_3p1.out,15.38 KB, text/plain)
2009-10-14 14:32 UTC, Bjoern Thorwirth
Details
test log 5.1p1 (test_5.1p1.out,15.38 KB, text/plain)
2009-10-14 14:50 UTC, Bjoern Thorwirth
Details
interop test for 5.1p1 fails (test_interop_5.1p1,1.89 KB, text/plain)
2009-10-14 15:13 UTC, Bjoern Thorwirth
Details
interop test of 5.2p1 passes (test_interop_5.2p1,2.28 KB, text/plain)
2009-10-14 15:14 UTC, Bjoern Thorwirth
Details
interop test 5.3p1 passes,too (test_interop_5.3p1,2.28 KB, text/plain)
2009-10-14 15:15 UTC, Bjoern Thorwirth
Details
Build log for 5.5_p1-r1 in tinderbox (openssh-5.5_p1-r1:20100420-144152.log,165.12 KB, text/plain)
2010-04-20 14:50 UTC, Diego Elio Pettenò (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bjoern Thorwirth 2009-10-09 11:23:14 UTC
Openssh fails interop test on amd64

Reproducible: Always




emerge--info:
Portage 2.1.6.13 (default/linux/amd64/2008.0/desktop, gcc-4.3.2, glibc-2.9_p20081201-r2, 2.6.28-tuxonice-r10 x86_64)
=================================================================
System uname: Linux-2.6.28-tuxonice-r10-x86_64-Intel-R-_Core-TM-2_Quad_CPU_Q9450_@_2.66GHz-with-gentoo-2.0.1
Timestamp of tree: Fri, 09 Oct 2009 08:45:03 +0000
distcc 3.1 x86_64-pc-linux-gnu [disabled]
ccache version 2.4 [enabled]
app-shells/bash:     4.0_p28
dev-java/java-config: 2.1.8-r1
dev-lang/python:     2.5.4-r3, 2.6.2-r1, 3.1.1
dev-python/pycrypto: 2.0.1-r8
dev-util/ccache:     2.4-r7
dev-util/cmake:      2.6.4
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.4.3-r3
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2, 1.11
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=nocona -O2 -pipe -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-march=nocona -O2 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache collision-protect distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict test unmerge-orphans userfetch userpriv usersandbox"
GENTOO_MIRRORS="http://mirror.muntinternet.net/pub/gentoo/"
LANG="de_DE.UTF-8"
LDFLAGS="-Wl,-O1,--as-needed"
LINGUAS="de en"
MAKEOPTS="-j5 -s"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/desktop-effects /usr/portage/local/layman/gnome /usr/portage/local/layman/jyujin /usr/portage/local/layman/sunrise /usr/portage/local/layman/enlightenment /usr/portage/local/layman/wolf31o2 /usr/portage/local/layman/science /usr/portage/local/layman/mozilla /usr/portage/local/layman/pythonhead /usr/portage/local/layman/python /usr/portage/local/layman/java-overlay /usr/portage/local/local-overlay /usr/portage/local/initng-portage"
SYNC="rsync://rsync.europe.gentoo.org/gentoo-portage"
USE="64bit X a52 aac aalib accessibility acl acpi ada alsa amarok amd64 apache2 arts audiofile authdaemond avahi bash-completion berkdb bidi bindist blas bluetooth branding bzip2 cairo cdda cdr chm clearcase cli config_wizard consolekit cpudetection cracklib crypt css cups dbus dga djvu dri dts dv dvb dvd dvdr dvdread dvi dxr3 eds emacs emboss encode esd evo extraicons extramodules fam fame fat fbcon fbcondecor fbsplash ffmpeg fftw firefox flac flash foomaticdb fortran fuse gcj gd gdbm gif glitz gnome gnome-keyring gnutls gphoto2 gpm gs gsm gstreamer gtk hal hdaps iconv icq id3 ieee1394 imap inkjar inotify ipv6 irc irda isdnlog jabber jack java jfs jingle joystick jpeg kde kipi kqemu lame laptop latex lcd ldap libcaca libnotify libwww live lm_sensors lzo mad mail maildir matroska midi mikmod mmx mng modules mono mp3 mp4 mpeg mpi mudflap multilib musepack musicbrainz mysql nautilus ncurses network new-login nls nptl nptlonly nsplugin ntfs nvidia ogg ole openal openexr opengl openmp oss pam pascal pcmcia pcre pdf perl php pmu png postgres povray ppds pppd pulseaudio python qt3 qt3support qt4 quicktime quotas rar rdesktop readline reflection reiser4 reiserfs rss ruby samba sasl scanner sdl session shout skins slp smp sms sndfile speex spell spl sql sse sse2 ssl ssse3 startup-notification stream subversion svg sysfs tcpd test theora threads thunar tiff tk truetype tta unicode usb vcd visualization voice vorbis wavpack weather wifi winbind wma wmf wxwindows x264 xcb xfs xine xinerama xiph xml xorg xosd xpm xprint xscreensaver xsl xulrunner xv xvid xvmc zeroconf zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INITNG_PLUGINS="also bash_launcher chdir chroot conflict cpout critical ctrlaltdel daemon_clean debug_commands envparser find fmon fstat history idleprobe initctl interactive iparser last limit lockfile logfile netdev netprobe ngc4 ngcs nge pause provide reload renice rlparser simple_launcher stcmd stdout suid syncron syslog sysreq unneeded usplash" INPUT_DEVICES="evdev keyboard mouse synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="de en" USERLAND="GNU" VIDEO_CARDS="nvidia vesa"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Bjoern Thorwirth 2009-10-09 11:24:12 UTC
Created attachment 206522 [details]
Build log
Comment 2 SpanKY gentoo-dev 2009-10-09 21:32:54 UTC
did 5.2_p1-r1 fail too ?

what does `emerge openssh -pv` show ?
Comment 3 Bjoern Thorwirth 2009-10-11 22:31:45 UTC
emerge -pv:
These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U ] net-misc/openssh-5.2_p1-r3 [5.2_p1-r1] USE="X ldap pam tcpd -X509 -hpn -kerberos -libedit -pkcs11 (-selinux) -skey -smartcard -static" 0 kB

5.2_p1-r1 doesn't fail 
Comment 4 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2009-10-12 02:39:04 UTC
So here are the potential breakage sources:
+epatch "${DISTDIR}"/openssh-5.2p1-gsskex-all-20090726.patch
+epatch "${FILESDIR}"/${P}-gsskex-fix.patch

We can rule out the HPN/X509/LPK changes since those patches are not applied for his system.

Could you please comment out both of those patches and see if the testsuite passes?
Comment 5 Bjoern Thorwirth 2009-10-12 11:19:15 UTC
Created attachment 206850 [details]
build log without mentioned patches
Comment 6 Bjoern Thorwirth 2009-10-12 11:20:57 UTC
I removed the patches, but it still fails  interop-tests 
Comment 7 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2009-10-12 20:17:32 UTC
While the LDAP stuff didn't change between -r1 and -r3, could you try to add USE=-ldap and see if that changes anything, because I still can't trace where the source of the breakage is.
Comment 8 Bjoern Thorwirth 2009-10-13 14:22:18 UTC
I disabled all useflags one by one but it still fails. Furthermore i'm really sorry, i recognized that 5.2_p1-r1 fails with the same error. I don't know what was up - i had it installed and normally i never ever disable tests of important software
Comment 9 Bjoern Thorwirth 2009-10-13 14:24:21 UTC
the 5.1 versions install without problems .. but they doesn't seem to have tests
Comment 10 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2009-10-13 20:13:18 UTC
ah, crap. can you please find the last release that DID run the tests and pass them for you?
Comment 11 Bjoern Thorwirth 2009-10-14 14:30:32 UTC
Ok: i've downloaded 5.3p1 and 5.2p1 and 5.1p1 configured and builded them  manually and all passed all tests :/. see attached test logs.
Comment 12 Bjoern Thorwirth 2009-10-14 14:31:42 UTC
Created attachment 207093 [details]
test log of 5.2p1
Comment 13 Bjoern Thorwirth 2009-10-14 14:32:27 UTC
Created attachment 207095 [details]
test log 5.3p1
Comment 14 Bjoern Thorwirth 2009-10-14 14:50:15 UTC
Created attachment 207096 [details]
test log 5.1p1
Comment 15 Bjoern Thorwirth 2009-10-14 15:13:38 UTC
Created attachment 207098 [details]
interop test for 5.1p1 fails
Comment 16 Bjoern Thorwirth 2009-10-14 15:14:25 UTC
Created attachment 207100 [details]
interop test of 5.2p1 passes
Comment 17 Bjoern Thorwirth 2009-10-14 15:15:24 UTC
Created attachment 207101 [details]
interop test 5.3p1 passes,too
Comment 18 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2009-10-14 17:59:00 UTC
Bjoern: there's a sed statement in the unpack block of the ebuild (line 118, that runs on cipher.c), compared the test output here, can you see if it fixes things for you if you comment it out?
Comment 19 Bjoern Thorwirth 2009-10-21 09:37:58 UTC
I tried to comment out the sed statements one by one and all together - interop tests keep failing and there is still the corrupted copy message .. 
Comment 20 Bjoern Thorwirth 2009-10-24 02:48:04 UTC
any further ideas what could be up?
Comment 21 Dustin Polke 2010-03-15 16:27:39 UTC
(In reply to comment #20)
> any further ideas what could be up?

@Bjoern: Could you try with FEATURES="-userpriv" and report back whether the test passed? This solved the issue for.
Comment 22 Xake 2010-04-19 06:58:55 UTC
I got this even with FEATURES="-userpriv"
Comment 23 Xake 2010-04-19 07:09:41 UTC
I also got this with a clean unpacked openssh-5.5p1, only did "./configure && make && make interop-tests" and it fails in the same way...
Comment 24 Xake 2010-04-19 09:28:36 UTC
...and after some hacking/playing around with the testsuit it shows up that the interop-tests needs dev-python/pyasn1 to be installed, else it fails.


So please add "test? ( dev-python/pyasn1 )" or what the syntax is to the DEPENDs....
Comment 25 SpanKY gentoo-dev 2010-04-19 19:29:31 UTC
interop-tests passes on my system w/out dev-python/pyasn1 ...
Comment 26 Xake 2010-04-20 06:15:58 UTC
Strange, at least for 5.5p1 I cannot even run conch without it:

$ conch
Traceback (most recent call last):
  File "/usr/bin/conch-2.6", line 19, in <module>
    from twisted.conch.scripts.conch import run
  File "/usr/lib64/python2.6/site-packages/twisted/conch/scripts/conch.py", line 11, in <module>
    from twisted.conch.client import connect, default, options
  File "/usr/lib64/python2.6/site-packages/twisted/conch/client/connect.py", line 5, in <module>
    import direct
  File "/usr/lib64/python2.6/site-packages/twisted/conch/client/direct.py", line 7, in <module>
    from twisted.conch.ssh import transport
  File "/usr/lib64/python2.6/site-packages/twisted/conch/ssh/transport.py", line 30, in <module>
    from twisted.conch.ssh import keys
  File "/usr/lib64/python2.6/site-packages/twisted/conch/ssh/keys.py", line 20, in <module>
    from pyasn1.type import univ
ImportError: No module named pyasn1.type


(I still cannot get interop-tests to pass in portage, but I can get it to pass in a vanilla source with it)
Comment 27 SpanKY gentoo-dev 2010-04-20 06:31:43 UTC
i dont have twisted-conch installed either.  if that package requires pyasn1, then that's a bug in twisted-conch ...

at any rate, my system skips interop-tests because conch isnt available:
run test putty-transfer.sh ...
putty interop tests not enabled
run test putty-ciphers.sh ...
putty interop tests not enabled
run test putty-kex.sh ...
putty interop tests not enabled
run test conch-ciphers.sh ...
conch interop tests not enabled
Comment 28 Diego Elio Pettenò (RETIRED) gentoo-dev 2010-04-20 11:02:08 UTC
Not sure if that's enough… I have interop-tests failing on the tinderbox and both conch and pyasn1 are installed…
Comment 29 Xake 2010-04-20 11:54:34 UTC
(In reply to comment #28)
> Not sure if that's enough… I have interop-tests failing on the tinderbox and
> both conch and pyasn1 are installed…
> 

Indeed same here, we need to find out why conch breaks in the testcase for openssh. With pyasn1 it works when I compile it by hand, but for some reason it breaks with portage. And that is yet to find out why.
Comment 30 SpanKY gentoo-dev 2010-04-20 12:35:17 UTC
ok, we'll split the python issue out then
Comment 31 Diego Elio Pettenò (RETIRED) gentoo-dev 2010-04-20 14:50:51 UTC
Created attachment 228517 [details]
Build log for 5.5_p1-r1 in tinderbox
Comment 32 Xake 2010-04-22 19:03:43 UTC
Ok, next step (after the missing dep for conch) is that conch needs for FEATURES="userpriv" the user portage to have a working shell and  the </dev/null in the emake command to be removed it seems.

Both changes are needed for the conch tests to pass with userpriv, non needed for root.
Comment 33 Xake 2010-04-22 19:38:14 UTC
(In reply to comment #32)
> Both changes are needed for the conch tests to pass with userpriv, non needed
> for root.
> 

Or maybe I am wrong, I had to remove </dev/null now to make it also pass with "-userpriv"...
Comment 34 SpanKY gentoo-dev 2010-04-23 03:17:32 UTC
giving the portage user a usable shell is off the table.  we'll have to figure out another way of dealing with that issue.
Comment 35 Xake 2010-04-23 05:28:39 UTC
Is there any way to just skip the conch-part of the tests? As conch test sets up a server, logs in to it and runs a command as I see it it will be hard to not have it needing a usable shell.
Comment 36 Myckel Habets (work) 2011-02-16 16:47:11 UTC
Bug seems to be still present in net-misc/openssh-5.8_p1.
Comment 37 Chris Reffett gentoo-dev Security 2012-03-22 14:47:55 UTC
Still present in 5.9_p1-r4
emerge --info:
Portage 2.2.0_alpha93 (default/linux/amd64/10.0, gcc-4.5.3, glibc-2.14.1-r2, 3.2.6-gentoo-zeugma x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Linux-3.2.6-gentoo-zeugma-x86_64-Intel-R-_Core-TM-_i5_CPU_M_560_@_2.67GHz-with-gentoo-2.1
Timestamp of tree: Wed, 21 Mar 2012 23:00:01 +0000
ccache version 3.1.7 [enabled]
app-shells/bash:          4.2_p24
dev-java/java-config:     2.1.11-r3
dev-lang/python:          2.7.2-r3, 3.2.2-r1
dev-util/ccache:          3.1.7
dev-util/cmake:           2.8.7-r5
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.1
sys-apps/openrc:          0.9.9.3
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.13, 2.68
sys-devel/automake:       1.11.3
sys-devel/binutils:       2.22-r1
sys-devel/gcc:            4.5.3-r2
sys-devel/gcc-config:     1.5.1-r1
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r3
sys-kernel/linux-headers: 3.2-r1 (virtual/os-headers)
sys-libs/glibc:           2.14.1-r2
Repositories: gentoo gamerlay-stable kde sunrise zeugma-local
Installed sets: @kde-4.8
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA AdobeFlash-10.3 dlj-1.1 googleearth google-talkplugin Intel-SDP Oracle-BCLA-JavaSE RTCW-ETEULA Q3AEULA skype-eula"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=core2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/openvpn/easy-rsa"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/splash /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -march=core2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs ccache distlocks ebuild-locks fixlafiles news parallel-fetch preserve-libs protect-owned sandbox sfperms strict test unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync"
FFLAGS=""
GENTOO_MIRRORS="http://mirror.rit.edu/gentoo http://gtlib.gatech.edu/pub/gentoo"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="en en_US"
MAKEOPTS="-j5"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/gamerlay /var/lib/layman/kde /var/lib/layman/sunrise /usr/local/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X accessibility acl acpi alsa amd64 bash-completion berkdb bluetooth bzip2 cairo cdda cddb cli consolekit cracklib crypt cups cxx dbus dri dvd encode ffmpeg flac fortran gdbm geoip git gnutls gpm gstreamer iconv icu id3tag ipod ipv6 java jpeg kde lame latex libnotify mad mmx mng modules mp3 mpeg mudflap multilib ncurses networkmanager nls nptl nptlonly nsplugin offensive ogg openal opengl openmp pam pcre png policykit pppd qt3support qt4 readline semantic-desktop session spell sql sse sse2 ssl ssse3 svg sysfs tcpd threads tiff truetype udev unicode usb v4l v4l2 vcd vim-syntax vorbis wifi xcomposite xinerama xorg xscreensaver zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan stage tables krita karbon braindump" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="mouse keyboard evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en en_US" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby19" USERLAND="GNU" VIDEO_CARDS="ati radeon fglrx intel uvesafb v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LANG, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS

=================================================================
                        Package Settings
=================================================================

net-misc/openssh-5.9_p1-r4 was built with the following:
USE="X hpn (multilib) pam tcpd test -X509 -kerberos -ldap -libedit (-selinux) -skey -static"
Comment 38 ahudson.news 2012-06-27 13:01:42 UTC
tl;dr: openssh interop-test vs. putty is broken (in upstream).

proposal: disable interop-tests[putty-transfer] until fixed?

===========================
long version:
Been trying to get this to work for a bit with [openssh-5.9_p1-r4] on amd64. Seems the test itself is not in a good state though, as evident by copy/paste errors in the test script.

regress/putty-transfer.sh, line:
    echo "Compression=$c" >> ${OBJ}/.putty/sessions/kex_$x
should probably say:
    echo "Compression=$c" >> ${OBJ}/.putty/sessions/compression_$c

also the plink command once uses:
    ... cat ${DATA} > ${COPY}
and the other time
    ... "cat > ${COPY}"
(which is probably the correct statement)

Further, the tests fail with authentication errors (likely just another effect of broken test scripts), something that is unrelated to the actual test cases in putty-transfer.sh (they are supposed to test compression vs. block-size).

After uninstalling [putty-0.62], the tests passed and openssh emerge successfully completed.

@Maintainer: should this be reported to upstream? They're not fixed in the latest [openssh-6.0_p1-r1].